Subject: She gives me head EVERY night now that I have such a large pecker

From: "Artimus plutzer" <[email-masked]>
Date: Tue, 5 Feb 2008 14:12:09 -0000

Yesterday, I banged my ex girlfriend, and she was amazed at how large I was now